F439_CPP_TX-RX_LoRa_Project

Loading...
Searching...
No Matches
Macros | Functions | Variables
radio_wire.h File Reference
Firmware Architecture » RadioLink Protocol Layer

Wire v3 on-wire layout and derived offsets. More...

`#include <stdint.h>`
`#include <stddef.h>`
Include dependency graph for radio_wire.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | RADIOLINK_WIRE_V3_VERSION (0x03u)
| Supported on-wire protocol version.
#define | RADIOLINK_WIRE_V3_TAG_LEN (16u)
| AES-CMAC tag length in bytes.
#define | RL_W3_OFF_VERSION (offsetof(radioWireV3_t, version))
#define | RL_W3_OFF_NODE_ID (offsetof(radioWireV3_t, nodeId))
#define | RL_W3_OFF_SESSION_SEQ_ID (offsetof(radioWireV3_t, sessionSeqId_le))
#define | RL_W3_OFF_MSG_COUNTER (offsetof(radioWireV3_t, msgCounter_le))
#define | RL_W3_OFF_PAYLOAD_LEN (offsetof(radioWireV3_t, payloadLen))
#define | RL_W3_OFF_PAYLOAD (offsetof(radioWireV3_t, payload))
#define | RADIOLINK_WIRE_V3_HDR_LEN_DERIVED (offsetof(radioWireV3_t, payload))
| Derived Wire v3 fixed header length in bytes.
#define | RADIOLINK_WIRE_RADIO_MAX_LEN (255u)
| Maximum radio frame length supported by the current transport.
#define | RADIOLINK_WIRE_V3_OVERHEAD_LEN (RADIOLINK_WIRE_V3_HDR_LEN_DERIVED + RADIOLINK_WIRE_V3_TAG_LEN)
| Total Wire v3 non-payload overhead in bytes.
#define | RADIOLINK_WIRE_V3_MAX_PLAINTEXT_LEN (RADIOLINK_WIRE_RADIO_MAX_LEN - RADIOLINK_WIRE_V3_OVERHEAD_LEN)
| Maximum plaintext length that fits in a single Wire v3 frame.

## Functions
struct | __attribute__ ((packed)) radioWireV3_t
| Packed Wire v3 layout stub used only for offsetof()-based derivation.

## Variables
| radioWireV3_t

## Detailed Description

Wire v3 on-wire layout and derived offsets.

## Macro Definition Documentation

## ◆ RADIOLINK_WIRE_RADIO_MAX_LEN

#define RADIOLINK_WIRE_RADIO_MAX_LEN (255u)

Maximum radio frame length supported by the current transport.

## ◆ RADIOLINK_WIRE_V3_HDR_LEN_DERIVED

#define RADIOLINK_WIRE_V3_HDR_LEN_DERIVED (offsetof(radioWireV3_t, payload))

Derived Wire v3 fixed header length in bytes.

## ◆ RADIOLINK_WIRE_V3_MAX_PLAINTEXT_LEN

#define RADIOLINK_WIRE_V3_MAX_PLAINTEXT_LEN (RADIOLINK_WIRE_RADIO_MAX_LEN - RADIOLINK_WIRE_V3_OVERHEAD_LEN)

Maximum plaintext length that fits in a single Wire v3 frame.

## ◆ RADIOLINK_WIRE_V3_OVERHEAD_LEN

#define RADIOLINK_WIRE_V3_OVERHEAD_LEN (RADIOLINK_WIRE_V3_HDR_LEN_DERIVED + RADIOLINK_WIRE_V3_TAG_LEN)

Total Wire v3 non-payload overhead in bytes.

## ◆ RADIOLINK_WIRE_V3_TAG_LEN

#define RADIOLINK_WIRE_V3_TAG_LEN (16u)

AES-CMAC tag length in bytes.

## ◆ RADIOLINK_WIRE_V3_VERSION

#define RADIOLINK_WIRE_V3_VERSION (0x03u)

Supported on-wire protocol version.

## ◆ RL_W3_OFF_MSG_COUNTER

#define RL_W3_OFF_MSG_COUNTER (offsetof(radioWireV3_t, msgCounter_le))

## ◆ RL_W3_OFF_NODE_ID

#define RL_W3_OFF_NODE_ID (offsetof(radioWireV3_t, nodeId))

## ◆ RL_W3_OFF_PAYLOAD

#define RL_W3_OFF_PAYLOAD (offsetof(radioWireV3_t, payload))

## ◆ RL_W3_OFF_PAYLOAD_LEN

#define RL_W3_OFF_PAYLOAD_LEN (offsetof(radioWireV3_t, payloadLen))

## ◆ RL_W3_OFF_SESSION_SEQ_ID

#define RL_W3_OFF_SESSION_SEQ_ID (offsetof(radioWireV3_t, sessionSeqId_le))

## ◆ RL_W3_OFF_VERSION

#define RL_W3_OFF_VERSION (offsetof(radioWireV3_t, version))

## Function Documentation

## ◆ __attribute__()

struct __attribute__ | ( | (packed) |  | ) |

Packed Wire v3 layout stub used only for offsetof()-based derivation.

## Variable Documentation

## ◆ radioWireV3_t

radioWireV3_t